import qubx.pyenv

import qubx_single.rates
import qubx_single.dur_hist
import qubx_single.idealize

VERSION = "1.11.10"
QubX.require_version(*qubx.pyenv.parse_version_str(VERSION)) # VERSION is also the minimum required version of QUB Express

QubX.Modeling.append_face(qubx_single.rates.RatesFace())
QubX.Modeling.Rates = QubX.Modeling.MILRates # name changed; preserve old name for compatibility
QubX.Figures.append_face(qubx_single.dur_hist.DurHistFace())

def register_qubx_idl():
    # as a function so this variable is a temp:
    panel = qubx_single.idealize.Idealizers()
    for method in ['Threshold', 'Viterbi (V-sens)', 'SKM (V-sens)']:
        QubX.Modeling.Idealize.register_method(method, panel)
register_qubx_idl()
